# include	<stdio.h>
# include	<stdlib.h>
# include	<malloc.h>
# include	<string.h>

# include	"vcrplus.h"
# include	"fnc7.h"
# include	"ileave.h"


long	debug = 0;


static fnc	*head = NULL;

int
main( int argc, char *argv[] )
{
	int	bump;
	fnc	*fptr;
	long	channel, tblidx, start, duration;

	head = readtables();

	/* check the 'top5' -> 'bump' mapping against my version */
	printf("Suspect bumps:\n");
	for (fptr = head; fptr; fptr = fptr->next) {
		bump = makebump(fptr->top5);

		if (bump != fptr->bump) {
			printf("%02d/%02d/%02d %04d/%03d: %04d->%03d [%03d]\n",
				fptr->day, fptr->month, fptr->year,
				fptr->start, fptr->duration,
				fptr->top5, fptr->bump, bump);

			fptr->bump = bump;
			change7();
		}
	}

	/* check for any changes in lookup.tbl upsetting this info */
	printf("Suspect indexes:\n");
	for (fptr = head; fptr; fptr = fptr->next) {
		de_interleave(fptr->s4_out, ( long )fptr->s5_out, &tblidx, &channel);
		lookup(tblidx, &start, &duration);

		if (start != fptr->start || duration != fptr->duration) {
			printf("Code %ld: Channel %d, %d/%02d/%02d %04d/%03d\n",
				fptr->newspaper, fptr->channel,
				fptr->day, fptr->month, fptr->year,
				fptr->start, fptr->duration);
		}
	}

	writeout();	/* only does anything if 'change7()' was called */
	putchar('\n');
	return 0;
}
