# include	<stdio.h>
# include	<stdlib.h>
# include	<conio.h>

# include	"vcrplus.h"
# include	"swop2.h"

struct pair {
	int	orig;
	int	a;
	split	new;
};

# define	NLIST	29
# define	MASK	0x3F9

/*
 * Patterns for Jan 1993
 */
struct pair list[NLIST] = {
		{ 1513, 83 },
		{ 1613, 58 },
		{ 1776, 91 },
		{ 1818, 315 },
		{ 1869, 66 },
		{ 2126, 74 },
		{ 2332, 11 },
		{ 2487, 18 },
		{ 2877, 26 },
		{ 3086, 3 },
		{ 3526, 90 },
		{ 3809, 59 },
		{ 4286, 51 },
		{ 4635, 43 },
		{ 5012, 355 },
		{ 5266, 10 },
		{ 5382, 50 },
		{ 5513, 107 },
		{ 5593, 283 },
		{ 5963, 98 },
		{ 6294, 115 },
		{ 7330, 955 },
		{ 7879, 19 },
		{ 7990, 2 },
		{ 8116, 970 },
		{ 9042, 27 },
		{ 9538, 963 },
		{ 9541, 34 },
		{ 9630, 155 }
};

static void	level1( long k1, int j1, int r1 );
long		combine( split val );

static int	keyb = 0;
static FILE	*log;
static int	R1, J1, J2, R2;
static split	K1, K2;
static int	best;


split
splitlong( long top )
{
	split	ret;

	ret =  (top / 1000) << 24L;
	ret |= ((top / 100) % 10) << 16L;
	ret |= ((top / 10) % 10) << 8L;
	ret |=  (top % 10);
	return ret;
}


int
main( int argc, char *argv[] )
{
	static char	buffer[128];
	char		*bptr;
	int		j1, r1;
	split		k1;

	if (log = fopen("match2.log", "r")) {
		/* read to end of file and parse last line */
		while (fgets(buffer, sizeof buffer, log));
		fclose(log);

		printf("Log: %s", bptr = buffer);
		while (*bptr && *bptr != '(') bptr++;
/*		printf("R1 = %s\n", bptr+1);			*/
		R1 = ( int ) strtol(++bptr, &bptr, 10);
		while (*bptr && *bptr != '(') bptr++;
/*		printf("J1 = %s\n", bptr+1);			*/
		J1 = ( int ) strtol(++bptr, &bptr, 10);
/*		printf("K1 = %s\n", bptr+1);			*/
		K1 = splitlong(strtol(++bptr, &bptr, 10));
		while (*bptr && *bptr != '(') bptr++;
		bptr++;
		while (*bptr && *bptr != '(') bptr++;
/*		printf("J2 = %s\n", bptr+1);			*/
		J2 = ( int ) strtol(++bptr, &bptr, 10);
/*		printf("K2 = %s\n", bptr+1);			*/
		K2 = splitlong(strtol(++bptr, &bptr, 10));
		while (*bptr && *bptr != '[') bptr++;
		best = ( int ) strtol(++bptr, &bptr, 10);
	}

	if ((log = fopen("match2.log", "a+")) == NULL) {
		printf("Can't append to log\n");
		exit(-1);
	}

	fprintf(log, "Restarted: r(%d)->s(%d,%ld)->r(1)->s(%d,%ld)->r(%d)\n",
					R1, J1, combine(K1),
					J2, combine(K2), 0);
	printf("Restarted: r(%d)->s(%d,%ld)->r(1)->s(%d,%ld)->r(%d)\n",
					R1, J1, combine(K1),
					J2, combine(K2), 0);

	for (r1 = 0; r1 < NLIST; r1++) {
		list[r1].new = splitlong(( long ) list[r1].orig);
		list[r1].a &= MASK;
	}

	for (k1 = K1, K1 = 0; k1 <= 0x09090909L; k1=inc4(k1)) {
		printf("%ld\n", combine(k1));

		for (j1 = J1, J1 = 0; j1 <= 9; j1++) {
			for (r1 = R1, R1 = 0; r1 <= 1; r1++) {
				level1(k1, j1, r1);
			}
		}
	}

	return 0;
}


static void
level1( split k1, int j1, int r1 )
{
# ifdef THREE_AND_FOUR
	long	k2, k3, k4;
	int	j2, j3, j4;
	int	r2, r3;
# else
	long	k2;
	int	j2, r2;
# endif
	int	l, nwins;
# ifdef UNSPLIT
	long	val;
# else
	split	val;
# endif

# ifdef FULL
	   for (k2 = 0; k2 <= 9999L; k2++) {
	    for (j2 = 0; j2 <= 9; j2++) {
	     for (r2 = 0; r2 < 24; r2++) {
	      for (k3 = 0; k3 <= 9999L; k3++) {
	       for (j3 = 0; j3 <= 9; j3++) {
	        for (r3 = 0; r3 < 24; r3++) {
	         for (k4 = 0; k4 <= 9999L; k4++) {
	          for (j4 = 0; j4 <= 9; j4++) {
# else
	   for (k2 = K2, K2 = 0; k2 <= 0x09090909L; k2=inc4(k2)) {
		printf("  %ld\r", combine(k2));

	    for (j2 = J2, J2 = 0; j2 <= 9; j2++) {
	     /* don't bother with a clever re-start system on the inner loop */
	     for (r2 = 0; r2 <= 1; r2++) {
# ifdef THREE_AND_FOUR
	      { k3 = 0L;
	       { j3 = 0;
		{ r3 = 0;
		 { k4 = 0L;
		  { j4 = 0;
# endif
# endif
			nwins = 0;

			for (l = 0; l < NLIST; l++) {
				val = permuteS(list[l].new, r1);
				val = scramble4(val, j1, k1);
				val = permuteS(val, 1);
				val = scramble4(val, j2, k2);
				val = permuteS(val, r2);
# ifdef FULL
				val = scramble4(val, j2, k2);
				val = permute(val, r2);
				val = scramble4(val, j3, k3);
				val = permute(val, r3);
				val = scramble4(val, j4, k4);
# endif

				if ((combine(val) & MASK) == list[l].a)
					nwins++;
			}

			if (nwins >= best) {
				best = nwins;

				fprintf(log, "r(%d)->s(%d,%ld)->r(1)->s(%d,%ld)->r(%d) [%d wins]\n",
						r1, j1, combine(k1),
						j2, combine(k2), r2,
						nwins);

				if (kbhit() && getch() == 0x1B) {
					printf("\nKilled at: r(%d)->s(%d,%ld)->r(1)->s(%d,%ld)->r(%d)\n",
						r1, j1, combine(k1),
						j2, combine(k2), r2);

					exit(-1);
				}
			}
# ifdef THREE_AND_FOUR
	          }		/* j4 */
	         }		/* k4 */
	        }		/* r3 */
	       }		/* j3 */
	      }			/* k3 */
# endif
	     }			/* r2 */
	    }			/* j2 */

	    if (kbhit() && getch() == 0x1B) {
	        /*
		 * Don't forget that r2 and j2 have now expired and we want to
		 * restart from the next value of k2.
		 */
		printf("\nKilled at: r(%d)->s(%d,%ld)->r(1)->s(0,%ld)->r(0) [%d wins]\n",
			r1, j1, combine(k1),
			combine(k2)+1,
			best);
		fprintf(log, "Killed at: r(%d)->s(%d,%ld)->r(1)->s(0,%ld)->r(0) [%d wins]\n",
			r1, j1, combine(k1),
			combine(k2)+1,
			best);

		exit(-1);
	    }
	   }			/* k2 */

	return;
}
